%global         debug_package %{nil}
%global         upstream_name libgoogle-data-mono

Name:           gdata-sharp
Version:        1.4.0.2
Release:        alt1_9
Summary:        .NET library for the Google Data API

Group:          System/Libraries
License:        ASL 2.0
URL:            http://code.google.com/p/google-gdata/
Source0:        http://google-gdata.googlecode.com/files/%{upstream_name}-%{version}.tar.gz
# fixed in SVN:
# http://code.google.com/p/google-gdata/source/detail?spec=svn933&r=890
Patch0:         %{upstream_name}-1.4.0.2-pkgconfig.patch

BuildRequires:  mono-devel mono-nunit
#Requires:       

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x
Source44: import.info

%description
The Google Data APIs (GData) provide a simple protocol for reading and
writing data on the web.

Each of the following Google services provides a Google data API:

    * Base
    * Blogger
    * Calendar
    * Spreadsheets
    * Google Apps Provisioning
    * Code Search
    * Notebook
    * Picasa Web Albums
    * Document Feed
    * Contacts
    * You Tube
    * Google Health 

The GData .NET Client Library provides a library and source code that
make it easy to access data through Google Data APIs.


%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{upstream_name}-%{version}
%patch0 -p1 -b .pkgconfig

%build
make %{?_smp_mflags} PREFIX=%{_prefix}

%check
# currently 98 tests out of 921 fail
# make test


%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}

mkdir -p $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
test "%{_libdir}" = "%{_prefix}/lib" || mv $RPM_BUILD_ROOT/%{_prefix}/lib/pkgconfig/* $RPM_BUILD_ROOT/%{_libdir}/pkgconfig

%files
%doc LICENSE-2.0.txt RELEASE_NOTES.HTML
%{_prefix}/lib/mono/GData-Sharp
%{_prefix}/lib/mono/gac/Google.GData.*

%files devel
%{_libdir}/pkgconfig/gdata-sharp-*.pc


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.0.2-alt1_9
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.4.0.2-alt1_8
- initial fc import

